package com.sixin.module_p.helper

import dev.utils.common.NumberUtils

object PDAHelper {

    const val PDA_WIDTH = 400f

    /**
     * 根据扫描的数据,获取运单号/运单号+件号
     * 返回空字符串则获取失败
     */
    fun getWaybillFormScan(data: String): String {
        if (NumberUtils.isNumber(data)) {
            if (data.length == 11 || data.length == 16) {
                return data
            }
        } else if (data.length > 16 && data.contains("/")) {
            val substring = data.substring(data.lastIndexOf("/"))
            if (substring.length == 11) {
                return substring
            }
        }
        return ""
    }

}